/*----- shop main wrapper start -----*/
.shop-top-bar {
    padding-bottom: 34px;
    margin-bottom: 30px;
    border-bottom: 1px solid $bdr-color;
}
.top-bar-left {
    display: flex;
    align-items: center;
    @media #{$large-mobile} {
        margin-bottom: 20px;
        justify-content: space-between;
    }
    @media #{$extra-small-mobile} {
        display: block;
        text-align: center;
    }
    .product-view-mode {
        margin-right: 60px;
        // Responsive
        @media #{$extra-small-mobile} {
            margin-bottom: 15px;
            margin-right: 0;
        }
        a {
            color: $white;
            background-color: $black-soft;
            width: 40px;
            height: 40px;
            display: inline-block;
            text-align: center;
            margin-right: 5px;
            i {
                line-height: 44px;
                font-size: 20px;
            }
            &:hover {
                background-color: $theme-color;
            }
            &.active {
                background-color: $theme-color;
            }
        }
    }
    .product-amount {
        p {
            color: $paragraph;
            text-transform: capitalize;
        }
    }
}
.top-bar-right {
    display: flex;
    justify-content: flex-end;
    @media #{$large-mobile} {
        justify-content: center;
    }
    .product-short {
        display: flex;
        align-items: center;
        p {
            margin-right: 10px;
        }
    }
}
// nice select
.nice-select {
    width: 200px;
    padding: 0 10px;
    // Responsive
    @media #{$desktop-device} {
        width: 170px;
    }
    &.open {
        border-color: $theme-color;
    }
    .list {
        right: 0;
        left: auto;
        width: 100%;
    }
    .option {
        font-size: 13px;
        line-height: 34px;
        min-height: 34px;
    }
}
/*----- shop main wrapper end -----*/


.shop-product-wrap {
    &.list {
        .product-item {
            display: none;
        }
    }
}

.shop-product-wrap {
    &.grid {
        .product-item {
            display: block;
            animation-name: zoomIn;
            animation-duration: 1s;
        }
    }
}

.shop-product-wrap {
    &.grid {
        .product-list-item {
            display: none !important;
        }
    }
}
.shop-product-wrap {
    &.list {
        .product-list-item {
            display: flex;
            animation-name: fadeInRight;
            animation-duration: 1s;
        }
    }
}

.shop-product-wrap {
    &.row {
        &.list {
            .col-xl-4, .col-xl-3 {
                flex: 0 0 100%;
                max-width: 100%;
            }
        }
    }
}


// pagination area style
.paginatoin-area {
    padding: 20px 0 18px;
    border: 1px solid #ededed;
    .pagination-box {
        li {
            display: inline-block;
            a {
                color: $paragraph;
                padding: 10px;
                &:hover {
                    color: $theme-color;
                }
            }
            &.active {
                a {
                    color: $theme-color;
                }
            }
        }
    }
}